# Interface JsonWebKey

interface JsonWebKey {
crv?: string;
d?: string;
dp?: string;
dq?: string;
e?: string;
k?: string;
kty?: string;
n?: string;
p?: string;
q?: string;
qi?: string;
x?: string;
y?: string;
[key: string]: unknown;
}

#### Indexable

[key: string]: unknown

- Defined in node_modules/@types/node/crypto.d.ts:512

#####
Index

### Properties

crv?
d?
dp?
dq?
e?
k?
kty?
n?
p?
q?
qi?
x?
y?

## Properties

### `Optional` crv

crv?: string

- Defined in node_modules/@types/node/crypto.d.ts:513

### `Optional` d

d?: string

- Defined in node_modules/@types/node/crypto.d.ts:514

### `Optional` dp

dp?: string

- Defined in node_modules/@types/node/crypto.d.ts:515

### `Optional` dq

dq?: string

- Defined in node_modules/@types/node/crypto.d.ts:516

### `Optional` e

e?: string

- Defined in node_modules/@types/node/crypto.d.ts:517

### `Optional` k

k?: string

- Defined in node_modules/@types/node/crypto.d.ts:518

### `Optional` kty

kty?: string

- Defined in node_modules/@types/node/crypto.d.ts:519

### `Optional` n

n?: string

- Defined in node_modules/@types/node/crypto.d.ts:520

### `Optional` p

p?: string

- Defined in node_modules/@types/node/crypto.d.ts:521

### `Optional` q

q?: string

- Defined in node_modules/@types/node/crypto.d.ts:522

### `Optional` qi

qi?: string

- Defined in node_modules/@types/node/crypto.d.ts:523

### `Optional` x

x?: string

- Defined in node_modules/@types/node/crypto.d.ts:524

### `Optional` y

y?: string

- Defined in node_modules/@types/node/crypto.d.ts:525